diff --git a/src/tools/sss_usermod.c b/src/tools/sss_usermod.c
index fa2c27b..a7837ad 100644
--- a/src/tools/sss_usermod.c
+++ b/src/tools/sss_usermod.c
@@ -70,7 +70,7 @@ int main(int argc, const char **argv)
 
     ret = set_locale();
     if (ret != EOK) {
-        DEBUG(1, ("set_locale failed (%d): %s\n", ret, strerror(ret)));
+        DEBUG(1, "set_locale failed (%d): %s\n", ret, strerror(ret));
         ERROR("Error setting the locale\n");
         ret = EXIT_FAILURE;
         goto fini;
@@ -123,7 +123,7 @@ int main(int argc, const char **argv)
 
     ret = init_sss_tools(&tctx);
     if (ret != EOK) {
-        DEBUG(1, ("init_sss_tools failed (%d): %s\n", ret, strerror(ret)));
+        DEBUG(1, "init_sss_tools failed (%d): %s\n", ret, strerror(ret));
         if (ret == ENOENT) {
             ERROR("Error initializing the tools - no local domain\n");
         } else {
@@ -158,7 +158,7 @@ int main(int argc, const char **argv)
     if (addgroups) {
         ret = parse_groups(tctx, addgroups, &tctx->octx->addgroups);
         if (ret != EOK) {
-            DEBUG(1, ("Cannot parse groups to add the user to\n"));
+            DEBUG(1, "Cannot parse groups to add the user to\n");
             ERROR("Internal error while parsing parameters\n");
             ret = EXIT_FAILURE;
             goto fini;
@@ -166,7 +166,7 @@ int main(int argc, const char **argv)
 
         ret = parse_group_name_domain(tctx, tctx->octx->addgroups);
         if (ret != EOK) {
-            DEBUG(1, ("Cannot parse FQDN groups to add the user to\n"));
+            DEBUG(1, "Cannot parse FQDN groups to add the user to\n");
             ERROR("Groups must be in the same domain as user\n");
             ret = EXIT_FAILURE;
             goto fini;
@@ -185,7 +185,7 @@ int main(int argc, const char **argv)
     if (rmgroups) {
         ret = parse_groups(tctx, rmgroups, &tctx->octx->rmgroups);
         if (ret != EOK) {
-            DEBUG(1, ("Cannot parse groups to remove the user from\n"));
+            DEBUG(1, "Cannot parse groups to remove the user from\n");
             ERROR("Internal error while parsing parameters\n");
             ret = EXIT_FAILURE;
             goto fini;
@@ -193,7 +193,7 @@ int main(int argc, const char **argv)
 
         ret = parse_group_name_domain(tctx, tctx->octx->rmgroups);
         if (ret != EOK) {
-            DEBUG(1, ("Cannot parse FQDN groups to remove the user from\n"));
+            DEBUG(1, "Cannot parse FQDN groups to remove the user from\n");
             ERROR("Groups must be in the same domain as user\n");
             ret = EXIT_FAILURE;
             goto fini;
@@ -218,7 +218,7 @@ int main(int argc, const char **argv)
 
     tctx->error = sysdb_transaction_start(tctx->sysdb);
     if (tctx->error != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to start transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to start transaction\n");
         goto done;
     }
     in_transaction = true;
@@ -231,7 +231,7 @@ int main(int argc, const char **argv)
 
     tctx->error = sysdb_transaction_commit(tctx->sysdb);
     if (tctx->error) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to commit transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to commit transaction\n");
         goto done;
     }
     in_transaction = false;
@@ -270,7 +270,7 @@ done:
     if (in_transaction) {
         sret = sysdb_transaction_cancel(tctx->sysdb);
         if (sret != EOK) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to cancel transaction\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Failed to cancel transaction\n");
         }
     }
 
diff --git a/src/tools/tools_mc_util.c b/src/tools/tools_mc_util.c
index 5d4300f..adb8015 100644
--- a/src/tools/tools_mc_util.c
+++ b/src/tools/tools_mc_util.c
@@ -78,12 +78,12 @@ errno_t sss_memcache_invalidate(const char *mc_filename)
     if (mc_fd == -1) {
         ret = errno;
         if (ret == ENOENT) {
-            DEBUG(SSSDBG_TRACE_FUNC,("Memory cache file %s "
-                  "does not exist.\n", mc_filename));
+            DEBUG(SSSDBG_TRACE_FUNC,"Memory cache file %s "
+                  "does not exist.\n", mc_filename);
             return EOK;
         } else {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Unable to open file %s: %s\n",
-                  mc_filename, strerror(ret)));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Unable to open file %s: %s\n",
+                  mc_filename, strerror(ret));
             return ret;
         }
     }
@@ -91,17 +91,17 @@ errno_t sss_memcache_invalidate(const char *mc_filename)
     ret = sss_br_lock_file(mc_fd, 0, 1, retries, t);
     if (ret == EACCES) {
         DEBUG(SSSDBG_TRACE_FUNC,
-              ("File %s already locked by someone else.\n", mc_filename));
+              "File %s already locked by someone else.\n", mc_filename);
         goto done;
     } else if (ret != EOK) {
-       DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to lock file %s.\n", mc_filename));
+       DEBUG(SSSDBG_CRIT_FAILURE, "Failed to lock file %s.\n", mc_filename);
        goto done;
     }
     /* Mark the mc file as recycled. */
     ret = sss_mc_set_recycled(mc_fd);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to mark memory cache file %s "
-              "as recycled.\n", mc_filename));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to mark memory cache file %s "
+              "as recycled.\n", mc_filename);
         goto done;
     }
 
@@ -116,9 +116,9 @@ done:
             pret = unlink(mc_filename);
             if (pret == -1) {
                 DEBUG(SSSDBG_MINOR_FAILURE,
-                      ("Failed to unlink file %s. "
+                      "Failed to unlink file %s. "
                        "Will be unlinked later by sssd_nss.\n",
-                       mc_filename));
+                       mc_filename);
             }
         }
     }
@@ -160,7 +160,7 @@ errno_t sss_memcache_clear_all(void)
 
     ret = clear_fastcache(&sssd_nss_is_off);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to clear caches.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to clear caches.\n");
         return EIO;
     }
     if (!sssd_nss_is_off) {
@@ -168,23 +168,23 @@ errno_t sss_memcache_clear_all(void)
         clear_mc_flag = fopen(SSS_NSS_MCACHE_DIR"/"CLEAR_MC_FLAG, "w");
         if (clear_mc_flag == NULL) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Failed to create clear_mc_flag file. "
-                   "Memory cache will not be cleared.\n"));
+                  "Failed to create clear_mc_flag file. "
+                   "Memory cache will not be cleared.\n");
             return EIO;
         }
         ret = fclose(clear_mc_flag);
         if (ret != 0) {
             ret = errno;
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Unable to close file descriptor: %s\n",
-                   strerror(ret)));
+                  "Unable to close file descriptor: %s\n",
+                   strerror(ret));
             return EIO;
         }
-        DEBUG(SSSDBG_TRACE_FUNC, ("Sending SIGHUP to monitor.\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "Sending SIGHUP to monitor.\n");
         ret = signal_sssd(SIGHUP);
         if (ret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Failed to send SIGHUP to monitor.\n"));
+                  "Failed to send SIGHUP to monitor.\n");
             return EIO;
         }
     }
@@ -217,7 +217,7 @@ static errno_t sss_mc_refresh_ent(const char *name, enum sss_tools_ent ent)
     }
 
     if (cmd == SSS_CLI_NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Unknown object %d to refresh\n", cmd));
+        DEBUG(SSSDBG_OP_FAILURE, "Unknown object %d to refresh\n", cmd);
         return EINVAL;
     }
 
@@ -261,7 +261,7 @@ errno_t sss_mc_refresh_nested_group(struct tools_ctx *tctx,
     ret = sss_mc_refresh_group(name);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Cannot refresh group %s from memory cache\n", name));
+              "Cannot refresh group %s from memory cache\n", name);
         /* try to carry on */
     }
 
@@ -269,13 +269,13 @@ errno_t sss_mc_refresh_nested_group(struct tools_ctx *tctx,
                                      name, attrs, &msg);
     if (ret) {
         DEBUG(SSSDBG_OP_FAILURE,
-               ("Search failed: %s (%d)\n", strerror(ret), ret));
+               "Search failed: %s (%d)\n", strerror(ret), ret);
         return ret;
     }
 
     el = ldb_msg_find_element(msg, SYSDB_MEMBEROF);
     if (!el || el->num_values == 0) {
-        DEBUG(SSSDBG_TRACE_INTERNAL, ("Group %s has no parents\n", name));
+        DEBUG(SSSDBG_TRACE_INTERNAL, "Group %s has no parents\n", name);
         talloc_free(msg);
         return EOK;
     }
@@ -286,8 +286,8 @@ errno_t sss_mc_refresh_nested_group(struct tools_ctx *tctx,
                                   (const char *) el->values[i].data,
                                   &parent_name);
         if (ret != EOK) {
-            DEBUG(SSSDBG_MINOR_FAILURE, ("Malformed DN [%s]? Skipping\n",
-                  (const char *) el->values[i].data));
+            DEBUG(SSSDBG_MINOR_FAILURE, "Malformed DN [%s]? Skipping\n",
+                  (const char *) el->values[i].data);
             talloc_free(parent_name);
             continue;
         }
@@ -296,7 +296,7 @@ errno_t sss_mc_refresh_nested_group(struct tools_ctx *tctx,
         talloc_free(parent_name);
         if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Cannot refresh group %s from memory cache\n", name));
+                  "Cannot refresh group %s from memory cache\n", name);
             /* try to carry on */
         }
     }
@@ -318,8 +318,8 @@ errno_t sss_mc_refresh_grouplist(struct tools_ctx *tctx,
         ret = sss_mc_refresh_nested_group(tctx, groupnames[i]);
         if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Cannot refresh group %s from memory cache\n",
-                  groupnames[i]));
+                  "Cannot refresh group %s from memory cache\n",
+                  groupnames[i]);
             failed = true;
             continue;
         }
diff --git a/src/tools/tools_util.c b/src/tools/tools_util.c
index 0e1b3b4..cddd98b 100644
--- a/src/tools/tools_util.c
+++ b/src/tools/tools_util.c
@@ -49,14 +49,14 @@ static int setup_db(struct tools_ctx *ctx)
     /* Connect to the conf db */
     ret = confdb_init(ctx, &ctx->confdb, confdb_path);
     if (ret != EOK) {
-        DEBUG(1, ("Could not initialize connection to the confdb\n"));
+        DEBUG(1, "Could not initialize connection to the confdb\n");
         return ret;
     }
 
     ret = sssd_domain_init(ctx, ctx->confdb, "local", DB_PATH, &ctx->local);
     if (ret != EOK) {
         SYSDB_VERSION_ERROR(ret);
-        DEBUG(1, ("Could not initialize connection to the sysdb\n"));
+        DEBUG(1, "Could not initialize connection to the sysdb\n");
         return ret;
     }
     ctx->sysdb = ctx->local->sysdb;
@@ -144,8 +144,8 @@ int parse_group_name_domain(struct tools_ctx *tctx,
     for (i = 0; groups[i]; ++i) {
         ret = sss_parse_name(tctx, tctx->snctx, groups[i], &domain, &name);
         if (ret != EOK) {
-            DEBUG(1, ("Invalid name in group list, skipping: [%s] (%d)\n",
-                       groups[i], ret));
+            DEBUG(1, "Invalid name in group list, skipping: [%s] (%d)\n",
+                       groups[i], ret);
             continue;
         }
 
@@ -180,23 +180,23 @@ int parse_name_domain(struct tools_ctx *tctx,
 
     ret = sss_parse_name(tctx, tctx->snctx, fullname, &domain, &tctx->octx->name);
     if (ret != EOK) {
-        DEBUG(0, ("Cannot parse full name\n"));
+        DEBUG(0, "Cannot parse full name\n");
         return ret;
     }
-    DEBUG(5, ("Parsed username: %s\n", tctx->octx->name));
+    DEBUG(5, "Parsed username: %s\n", tctx->octx->name);
 
     if (domain) {
-        DEBUG(5, ("Parsed domain: %s\n", domain));
+        DEBUG(5, "Parsed domain: %s\n", domain);
         /* only the local domain, whatever named is allowed in tools */
         if (strcasecmp(domain, tctx->local->name) != 0) {
-            DEBUG(1, ("Invalid domain %s specified in FQDN\n", domain));
+            DEBUG(1, "Invalid domain %s specified in FQDN\n", domain);
             return EINVAL;
         }
     } else {
         if (tctx->local->fqnames) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Name '%s' does not seem to be FQDN "
-                   "('%s = TRUE' is set)\n", fullname, CONFDB_DOMAIN_FQ));
+                  "Name '%s' does not seem to be FQDN "
+                   "('%s = TRUE' is set)\n", fullname, CONFDB_DOMAIN_FQ);
             ERROR("Name '%1$s' does not seem to be FQDN "
                   "('%2$s = TRUE' is set)\n", fullname, CONFDB_DOMAIN_FQ);
             return EINVAL;
@@ -227,7 +227,7 @@ int check_group_names(struct tools_ctx *tctx,
                                   grouplist[i],
                                   groupinfo);
         if (ret) {
-            DEBUG(6, ("Cannot find group %s, ret: %d\n", grouplist[i], ret));
+            DEBUG(6, "Cannot find group %s, ret: %d\n", grouplist[i], ret);
             break;
         }
     }
@@ -280,26 +280,26 @@ int init_sss_tools(struct tools_ctx **_tctx)
 
     tctx = talloc_zero(NULL, struct tools_ctx);
     if (tctx == NULL) {
-        DEBUG(1, ("Could not allocate memory for tools context\n"));
+        DEBUG(1, "Could not allocate memory for tools context\n");
         return ENOMEM;
     }
 
     /* Connect to the database */
     ret = setup_db(tctx);
     if (ret != EOK) {
-        DEBUG(1, ("Could not set up database\n"));
+        DEBUG(1, "Could not set up database\n");
         goto fini;
     }
 
     ret = sss_names_init(tctx, tctx->confdb, tctx->local->name, &tctx->snctx);
     if (ret != EOK) {
-        DEBUG(1, ("Could not set up parsing\n"));
+        DEBUG(1, "Could not set up parsing\n");
         goto fini;
     }
 
     tctx->octx = talloc_zero(tctx, struct ops_ctx);
     if (!tctx->octx) {
-        DEBUG(1, ("Could not allocate memory for data context\n"));
+        DEBUG(1, "Could not allocate memory for data context\n");
         ERROR("Out of memory\n");
         ret = ENOMEM;
         goto fini;
@@ -328,7 +328,7 @@ static int is_owner(uid_t uid, const char *path)
     ret = stat(path, &statres);
     if (ret != 0) {
         ret = errno;
-        DEBUG(1, ("Cannot stat %s: [%d][%s]\n", path, ret, strerror(ret)));
+        DEBUG(1, "Cannot stat %s: [%d][%s]\n", path, ret, strerror(ret));
         return ret;
     }
 
@@ -361,8 +361,8 @@ static int remove_mail_spool(TALLOC_CTX *mem_ctx,
                 break;
             case -1:
                 DEBUG(SSSDBG_MINOR_FAILURE,
-                      ("%s not owned by %"SPRIuid", not removing\n",
-                          spool_file, uid));
+                      "%s not owned by %"SPRIuid", not removing\n",
+                          spool_file, uid);
                 ret = EACCES;
                 /* FALLTHROUGH */
             default:
@@ -373,8 +373,8 @@ static int remove_mail_spool(TALLOC_CTX *mem_ctx,
     ret = unlink(spool_file);
     if (ret != 0) {
         ret = errno;
-        DEBUG(1, ("Cannot remove() the spool file %s: [%d][%s]\n",
-                   spool_file, ret, strerror(ret)));
+        DEBUG(1, "Cannot remove() the spool file %s: [%d][%s]\n",
+                   spool_file, ret, strerror(ret));
         goto fail;
     }
 
@@ -393,20 +393,20 @@ int remove_homedir(TALLOC_CTX *mem_ctx,
 
     ret = remove_mail_spool(mem_ctx, maildir, username, uid, force);
     if (ret != EOK) {
-        DEBUG(1, ("Cannot remove user's mail spool\n"));
+        DEBUG(1, "Cannot remove user's mail spool\n");
         /* Should this be fatal? I don't think so. Maybe convert to ERROR? */
     }
 
     if (force == false && is_owner(uid, homedir) == -1) {
-        DEBUG(1, ("Not removing home dir - not owned by user\n"));
+        DEBUG(1, "Not removing home dir - not owned by user\n");
         return EPERM;
     }
 
     /* Remove the tree */
     ret = remove_tree(homedir);
     if (ret != EOK) {
-        DEBUG(1, ("Cannot remove homedir %s: %d\n",
-                  homedir, ret));
+        DEBUG(1, "Cannot remove homedir %s: %d\n",
+                  homedir, ret);
         return ret;
     }
 
@@ -437,32 +437,32 @@ int create_mail_spool(TALLOC_CTX *mem_ctx,
     fd = open(spool_file, O_CREAT | O_WRONLY | O_EXCL, 0);
     if (fd < 0) {
         ret = errno;
-        DEBUG(1, ("Cannot open() the spool file: [%d][%s]\n",
-                  ret, strerror(ret)));
+        DEBUG(1, "Cannot open() the spool file: [%d][%s]\n",
+                  ret, strerror(ret));
         goto fail;
     }
 
     ret = fchmod(fd, 0600);
     if (ret != 0) {
         ret = errno;
-        DEBUG(1, ("Cannot fchmod() the spool file: [%d][%s]\n",
-                  ret, strerror(ret)));
+        DEBUG(1, "Cannot fchmod() the spool file: [%d][%s]\n",
+                  ret, strerror(ret));
         goto fail;
     }
 
     ret = fchown(fd, uid, gid);
     if (ret != 0) {
         ret = errno;
-        DEBUG(1, ("Cannot fchown() the spool file: [%d][%s]\n",
-                  ret, strerror(ret)));
+        DEBUG(1, "Cannot fchown() the spool file: [%d][%s]\n",
+                  ret, strerror(ret));
         goto fail;
     }
 
     ret = fsync(fd);
     if (ret != 0) {
         ret = errno;
-        DEBUG(1, ("Cannot fsync() the spool file: [%d][%s]\n",
-                  ret, strerror(ret)));
+        DEBUG(1, "Cannot fsync() the spool file: [%d][%s]\n",
+                  ret, strerror(ret));
     }
 
 fail:
@@ -470,8 +470,8 @@ fail:
         ret = close(fd);
         if (ret != 0) {
             ret = errno;
-            DEBUG(1, ("Cannot close() the spool file: [%d][%s]\n",
-                      ret, strerror(ret)));
+            DEBUG(1, "Cannot close() the spool file: [%d][%s]\n",
+                      ret, strerror(ret));
         }
     }
 
@@ -492,8 +492,8 @@ int create_homedir(const char *skeldir,
 
     ret = copy_tree(skeldir, homedir, 0777 & ~default_umask, uid, gid);
     if (ret != EOK) {
-        DEBUG(1, ("Cannot populate user's home directory: [%d][%s].\n",
-                  ret, strerror(ret)));
+        DEBUG(1, "Cannot populate user's home directory: [%d][%s].\n",
+                  ret, strerror(ret));
         goto done;
     }
 
@@ -535,7 +535,7 @@ int run_userdel_cmd(struct tools_ctx *tctx)
         if (pid == -1) {
             ret = errno;
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("fork failed [%d]: %s\n", ret, strerror(ret)));
+                  "fork failed [%d]: %s\n", ret, strerror(ret));
             goto done;
         }
 
@@ -543,28 +543,28 @@ int run_userdel_cmd(struct tools_ctx *tctx)
             if (WIFEXITED(status)) {
                 ret = WEXITSTATUS(status);
                 if (ret != 0) {
-                    DEBUG(5, ("command [%s] returned nonzero status %d.\n",
-                              userdel_cmd, ret));
+                    DEBUG(5, "command [%s] returned nonzero status %d.\n",
+                              userdel_cmd, ret);
                     ret = EOK;  /* Ignore return code of the command */
                     goto done;
                 }
             } else if (WIFSIGNALED(status)) {
-                DEBUG(5, ("command [%s] was terminated by signal %d.\n",
-                          userdel_cmd, WTERMSIG(status)));
+                DEBUG(5, "command [%s] was terminated by signal %d.\n",
+                          userdel_cmd, WTERMSIG(status));
                 ret = EIO;
                 goto done;
             } else if (WIFSTOPPED(status)) {
-                DEBUG(5, ("command [%s] was stopped by signal %d.\n",
-                          userdel_cmd, WSTOPSIG(status)));
+                DEBUG(5, "command [%s] was stopped by signal %d.\n",
+                          userdel_cmd, WSTOPSIG(status));
                 continue;
             } else {
-                DEBUG(1, ("Unknown status from WAITPID\n"));
+                DEBUG(1, "Unknown status from WAITPID\n");
                 ret = EIO;
                 goto done;
             }
         }
         if (child_pid == -1) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("waitpid failed\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "waitpid failed\n");
             ret = errno;
             goto done;
         }
@@ -605,8 +605,8 @@ static errno_t get_sssd_pid(pid_t *out_pid)
     pid_file = fopen(SSSD_PIDFILE, "r");
     if (pid_file == NULL) {
         ret = errno;
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Unable to open pid file \"%s\": %s\n",
-              SSSD_PIDFILE, strerror(ret)));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Unable to open pid file \"%s\": %s\n",
+              SSSD_PIDFILE, strerror(ret));
         goto done;
     }
 
@@ -616,17 +616,17 @@ static errno_t get_sssd_pid(pid_t *out_pid)
         /* eof not reached */
         ret = ferror(pid_file);
         if (ret != 0) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Unable to read from file \"%s\": %s\n",
-                  SSSD_PIDFILE, strerror(ret)));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Unable to read from file \"%s\": %s\n",
+                  SSSD_PIDFILE, strerror(ret));
         } else {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("File \"%s\" contains invalid pid.\n",
-                  SSSD_PIDFILE));
+            DEBUG(SSSDBG_CRIT_FAILURE, "File \"%s\" contains invalid pid.\n",
+                  SSSD_PIDFILE);
         }
         goto done;
     }
     if (fsize == 0) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("File \"%s\" contains no pid.\n",
-              SSSD_PIDFILE));
+        DEBUG(SSSDBG_CRIT_FAILURE, "File \"%s\" contains no pid.\n",
+              SSSD_PIDFILE);
         ret = EINVAL;
         goto done;
     }
@@ -635,7 +635,7 @@ static errno_t get_sssd_pid(pid_t *out_pid)
     *out_pid = parse_pid(pid_str);
     if (*out_pid == 0) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("File \"%s\" contains invalid pid.\n", SSSD_PIDFILE));
+              "File \"%s\" contains invalid pid.\n", SSSD_PIDFILE);
         ret = EINVAL;
         goto done;
     }
@@ -662,8 +662,8 @@ errno_t signal_sssd(int signum)
     if (kill(pid, signum) != 0) {
         ret = errno;
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Could not send signal %d to process %d: %s\n",
-              signum, pid, strerror(errno)));
+              "Could not send signal %d to process %d: %s\n",
+              signum, pid, strerror(errno));
         return ret;
     }
 
diff --git a/src/tools/tools_util.h b/src/tools/tools_util.h
index cc35475..c0a1fa2 100644
--- a/src/tools/tools_util.h
+++ b/src/tools/tools_util.h
@@ -39,7 +39,7 @@
 #define CHECK_ROOT(val, prg_name) do { \
     val = getuid(); \
     if (val != 0) { \
-        DEBUG(1, ("Running under %d, must be root\n", val)); \
+        DEBUG(1, "Running under %d, must be root\n", val); \
         ERROR("%1$s must be run as root\n", prg_name); \
         val = EXIT_FAILURE; \
         goto fini; \
diff --git a/src/util/authtok.c b/src/util/authtok.c
index 83e6a1c..14ba085 100644
--- a/src/util/authtok.c
+++ b/src/util/authtok.c
@@ -196,7 +196,7 @@ struct sss_auth_token *sss_authtok_new(TALLOC_CTX *mem_ctx)
 
     token = talloc_zero(mem_ctx, struct sss_auth_token);
     if (token == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_zero failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_zero failed.\n");
     }
 
     return token;
diff --git a/src/util/backup_file.c b/src/util/backup_file.c
index 316c1cf..a164a86 100644
--- a/src/util/backup_file.c
+++ b/src/util/backup_file.c
@@ -40,8 +40,8 @@ int backup_file(const char *src_file, int dbglvl)
     src_fd = open(src_file, O_RDONLY);
     if (src_fd < 0) {
         ret = errno;
-        DEBUG(dbglvl, ("Error (%d [%s]) opening source file %s\n",
-                       ret, strerror(ret), src_file));
+        DEBUG(dbglvl, "Error (%d [%s]) opening source file %s\n",
+                       ret, strerror(ret), src_file);
         goto done;
     }
 
@@ -70,14 +70,14 @@ int backup_file(const char *src_file, int dbglvl)
         if (dst_fd >= 0) break;
 
         if (ret != EEXIST) {
-            DEBUG(dbglvl, ("Error (%d [%s]) opening destination file %s\n",
-                           ret, strerror(ret), dst_file));
+            DEBUG(dbglvl, "Error (%d [%s]) opening destination file %s\n",
+                           ret, strerror(ret), dst_file);
             goto done;
         }
     }
     if (ret != 0) {
-        DEBUG(dbglvl, ("Error (%d [%s]) opening destination file %s\n",
-                       ret, strerror(ret), dst_file));
+        DEBUG(dbglvl, "Error (%d [%s]) opening destination file %s\n",
+                       ret, strerror(ret), dst_file);
         goto done;
     }
 
@@ -87,8 +87,8 @@ int backup_file(const char *src_file, int dbglvl)
         numread = sss_atomic_read_s(src_fd, buf, BUFFER_SIZE);
         if (numread < 0) {
             ret = errno;
-            DEBUG(dbglvl, ("Error (%d [%s]) reading from source %s\n",
-                           ret, strerror(ret), src_file));
+            DEBUG(dbglvl, "Error (%d [%s]) reading from source %s\n",
+                           ret, strerror(ret), src_file);
             goto done;
         }
         if (numread == 0) break;
@@ -97,14 +97,14 @@ int backup_file(const char *src_file, int dbglvl)
         written = sss_atomic_write_s(dst_fd, buf, numread);
         if (written == -1) {
             ret = errno;
-            DEBUG(dbglvl, ("Error (%d [%s]) writing to destination %s\n",
-                            ret, strerror(ret), dst_file));
+            DEBUG(dbglvl, "Error (%d [%s]) writing to destination %s\n",
+                            ret, strerror(ret), dst_file);
             goto done;
         }
 
         if (written != numread) {
-            DEBUG(dbglvl, ("Wrote %zd bytes expected %zd bytes\n",
-                  written, numread));
+            DEBUG(dbglvl, "Wrote %zd bytes expected %zd bytes\n",
+                  written, numread);
             ret = EIO;
             goto done;
         }
diff --git a/src/util/check_and_open.c b/src/util/check_and_open.c
index c626191..50eee6b 100644
--- a/src/util/check_and_open.c
+++ b/src/util/check_and_open.c
@@ -50,8 +50,8 @@ errno_t check_file(const char *filename, const int uid, const int gid,
     ret = follow_symlink ? stat(filename, stat_buf) : \
                            lstat(filename, stat_buf);
     if (ret == -1) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("lstat for [%s] failed: [%d][%s].\n", filename, errno,
-                                                                        strerror(errno)));
+        DEBUG(SSSDBG_TRACE_FUNC, "lstat for [%s] failed: [%d][%s].\n", filename, errno,
+                                                                        strerror(errno));
         return errno;
     }
 
@@ -74,8 +74,8 @@ errno_t check_fd(int fd, const int uid, const int gid,
 
     ret = fstat(fd, stat_buf);
     if (ret == -1) {
-        DEBUG(1, ("fstat for [%d] failed: [%d][%s].\n", fd, errno,
-                                                        strerror(errno)));
+        DEBUG(1, "fstat for [%d] failed: [%d][%s].\n", fd, errno,
+                                                        strerror(errno));
         return errno;
     }
 
@@ -114,28 +114,28 @@ static errno_t perform_checks(struct stat *stat_buf,
             type_check = S_ISSOCK(stat_buf->st_mode);
             break;
         default:
-            DEBUG(1, ("Unsupported file type.\n"));
+            DEBUG(1, "Unsupported file type.\n");
             return EINVAL;
     }
 
     if (!type_check) {
-        DEBUG(1, ("File is not the right type.\n"));
+        DEBUG(1, "File is not the right type.\n");
         return EINVAL;
     }
 
     if (mode >= 0 && (stat_buf->st_mode & ~S_IFMT) != mode) {
-        DEBUG(1, ("File has the wrong mode [%.7o], expected [%.7o].\n",
-                  (stat_buf->st_mode & ~S_IFMT), mode));
+        DEBUG(1, "File has the wrong mode [%.7o], expected [%.7o].\n",
+                  (stat_buf->st_mode & ~S_IFMT), mode);
         return EINVAL;
     }
 
     if (uid >= 0 && stat_buf->st_uid != uid) {
-        DEBUG(1, ("File must be owned by uid [%d].\n", uid));
+        DEBUG(1, "File must be owned by uid [%d].\n", uid);
         return EINVAL;
     }
 
     if (gid >= 0 && stat_buf->st_gid != gid) {
-        DEBUG(1, ("File must be owned by gid [%d].\n", gid));
+        DEBUG(1, "File must be owned by gid [%d].\n", gid);
         return EINVAL;
     }
 
@@ -151,8 +151,8 @@ errno_t check_and_open_readonly(const char *filename, int *fd, const uid_t uid,
 
     *fd = open(filename, O_RDONLY);
     if (*fd == -1) {
-        DEBUG(1, ("open [%s] failed: [%d][%s].\n", filename, errno,
-                  strerror(errno)));
+        DEBUG(1, "open [%s] failed: [%d][%s].\n", filename, errno,
+                  strerror(errno));
         return errno;
     }
 
@@ -160,7 +160,7 @@ errno_t check_and_open_readonly(const char *filename, int *fd, const uid_t uid,
     if (ret != EOK) {
         close(*fd);
         *fd = -1;
-        DEBUG(1, ("check_fd failed.\n"));
+        DEBUG(1, "check_fd failed.\n");
         return ret;
     }
 
